%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name bcrypt

Summary: OpenBSD's bcrypt() password hashing algorithm
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 3.1.13
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/codahale/bcrypt-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}ruby-devel 
BuildRequires: %{?scl_prefix}rubygems-devel 
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
bcrypt() is a sophisticated and secure hash algorithm designed by The
OpenBSD project
for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for
safely handling
passwords.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%license %{gem_instdir}/COPYING
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gitignore
%{gem_instdir}/.rspec
%{gem_instdir}/.travis.yml
%{gem_instdir}/*gemspec
%{gem_instdir}/*gemspec
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile*
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/appveyor.yml
%{gem_instdir}/spec

%changelog
* Mon Jul 22 2019 Satoe Imaishi <simaishi@redhat.com> - 3.1.13-1
- Update to 3.1.13

* Thu May 31 2018 Satoe Imaishi <simaishi@redhat.com> - 3.1.12-1
- Update to 3.1.12

* Mon Sep 11 2017 Satoe Imaishi <simaishi@redhat.com> - 3.1.11-1
- Update to 3.1.11

* Tue Oct 27 2015 Satoe Imaishi <simaishi@redhat.com> - 3.1.10-3
- Remove extra files added to doc package

* Thu Sep 10 2015 Satoe Imaishi <simaishi@redhat.com> - 3.1.10-2
- Follow ruby packaging guideline to build/install

* Thu Aug 27 2015 Satoe Imaishi <simaishi@redhat.com> - 3.1.10-1
- Build 3.1.10 for rh-ruby22
